@mixin align($val1, $val2, $val3) {
	display: flex;
	flex-direction: $val3;
	align-items: $val1;
	justify-content: $val2;
}

@mixin width($val1, $val2) {
	min-width: #{$val1}px;
	max-width: #{$val2}px;
}

@mixin height($val1, $val2) {
	min-height: #{$val1}px;
	max-height: #{$val2}px;
}

@mixin sticker($val1, $val2, $parent) {
	position: absolute;
	left: #{$val1}px;
	top: #{$val2}px;
	@at-root {
		#{$parent} {
			position: relative;
		}
	}   
}

@mixin f-title($val) {
  font-family: "Montserrat", sans-serif;
	@if $val == style {
    text-transform: uppercase;
  } 
}

@mixin f-subtitle($val) {
	font-family: "Noto Serif", sans-serif;
	@if $val == style {
		font-style: italic;
  } 
}

@mixin former {
	text-decoration: line-through;
}

@mixin xs {
	@media (max-width: 575px) {
			@content;
	}
}

@mixin sm {
	@media (max-width: 767px) {
			@content;
	}
}

@mixin md {
	@media (max-width: 991px) {
			@content;
	}
}

@mixin lg {
	@media (max-width: 1199px) {
			@content;
	}
}

